<?php
/*
#####################################
#  ShopOS: Shopping Cart Software.
#  Copyright (c) 2008-2010
#  http://www.shopos.ru
#  http://www.shoposs.com
#  Ver. 1.0.0
#####################################
*/

include ('includes/top.php');

if (!isset ($_SESSION['customer_id']))
os_redirect(os_href_link(FILENAME_LOGIN, '', 'SSL'));

$breadcrumb->add(NAVBAR_TITLE_1_ADDRESS_BOOK, os_href_link(FILENAME_ACCOUNT, '', 'SSL'));
$breadcrumb->add(NAVBAR_TITLE_2_ADDRESS_BOOK, os_href_link(FILENAME_ADDRESS_BOOK, '', 'SSL'));

require (DIR_WS_INCLUDES.'header.php');

if ($messageStack->size('addressbook') > 0)
	$osTemplate->assign('error', $messageStack->output('addressbook'));

$osTemplate->assign('ADDRESS_DEFAULT', os_address_label($_SESSION['customer_id'], $_SESSION['customer_default_address_id'], true, ' ', '<br />'));

$addresses_data = array ();
$addresses_query = os_db_query("select address_book_id, entry_firstname as firstname, entry_lastname as lastname, entry_company as company, entry_street_address as street_address, entry_suburb as suburb, entry_city as city, entry_postcode as postcode, entry_state as state, entry_zone_id as zone_id, entry_country_id as country_id from ".TABLE_ADDRESS_BOOK." where customers_id = '".(int) $_SESSION['customer_id']."' order by firstname, lastname");
while ($addresses = os_db_fetch_array($addresses_query)) 
{
	$format_id = os_get_address_format_id($addresses['country_id']);
	
	if ($addresses['address_book_id'] == $_SESSION['customer_default_address_id']) 
	{
		$primary = 1;
	} 
	else 
	{
		$primary = 0;
	}
	$addresses_data[] = array ('NAME' => $addresses['firstname'].' '.$addresses['lastname'], 'BUTTON_EDIT' => '<a href="'.os_href_link(FILENAME_ADDRESS_BOOK_PROCESS, 'edit='.$addresses['address_book_id'], 'SSL').'">'.os_image_button('small_edit.gif', SMALL_IMAGE_BUTTON_EDIT).'</a>', 'BUTTON_DELETE' => '<a href="'.os_href_link(FILENAME_ADDRESS_BOOK_PROCESS, 'delete='.$addresses['address_book_id'], 'SSL').'">'.os_image_button('small_delete.gif', SMALL_IMAGE_BUTTON_DELETE).'</a>', 'ADDRESS' => os_address_format($format_id, $addresses, true, ' ', '<br />'), 'PRIMARY' => $primary);

}
$osTemplate->assign('addresses_data', $addresses_data);

$osTemplate->assign('BUTTON_BACK', '<a href="'.os_href_link(FILENAME_ACCOUNT, '', 'SSL').'">'.os_image_button('button_back.gif', IMAGE_BUTTON_BACK).'</a>');

if (os_count_customer_address_book_entries() < MAX_ADDRESS_BOOK_ENTRIES) {

	$osTemplate->assign('BUTTON_NEW', '<a href="'.os_href_link(FILENAME_ADDRESS_BOOK_PROCESS, '', 'SSL').'">'.os_image_button('button_add_address.gif', IMAGE_BUTTON_ADD_ADDRESS).'</a>');
}

$osTemplate->assign('ADDRESS_COUNT', sprintf(TEXT_MAXIMUM_ENTRIES, MAX_ADDRESS_BOOK_ENTRIES));

$osTemplate->assign('language', $_SESSION['language']);
$osTemplate->caching = 0;
$main_content = $osTemplate->fetch(CURRENT_TEMPLATE.'/module/address_book.html');

$osTemplate->assign('language', $_SESSION['language']);
$osTemplate->assign('main_content', $main_content);
$osTemplate->caching = 0;
if (!defined(RM)) $osTemplate->load_filter('output', 'trimhitespace');
$template = (file_exists(_THEMES_C.FILENAME_ADDRESS_BOOK.'.html') ? CURRENT_TEMPLATE.'/'.FILENAME_ADDRESS_BOOK.'.html' : CURRENT_TEMPLATE.'/index.html');
$osTemplate->display($template);
include ('includes/bottom.php');
?>