<?php
/*
#####################################
#  ShopOS: Shopping Cart Software.
#  Copyright (c) 2008-2010
#  http://www.shopos.ru
#  http://www.shoposs.com
#  Ver. 1.0.0
#####################################
*/

require('includes/top.php');

if (isset($_GET['action']) && $_GET['action']=='process_true')
{
    $messageStack->add('Плагин '.$_GET['modules'].' успешно выполнен', 'success');
}

switch ($_GET['action'])
{
    case 'install': //установка модуля
       $_plug->install();
    break; 
  
    case 'remove': //удалене модуля
       $_plug->remove();
    break;    
	
	//выполнить
	case 'process':
       $_plug->process();
    break; 	
	
	//сохранить
	case 'save':
        $_plug->save_options();
    break; 
	
	case 'multi_action':
	     if (isset($_POST['action']) && $_POST['action']=='install')
		 {
		     if (!empty($_POST['plugins']))
			 { 
			    for ($i=0; $i<=count($_POST['plugins'])-1; $i++)
				{
				    $_plug->install($_POST['plugins'][$i]);
				}
				
				os_redirect(FILENAME_PLUGINS);
			 }
		    //print_r($_POST);
		 }elseif (isset($_POST['action']) && $_POST['action']=='remove')
		 {		     
		     if (!empty($_POST['plugins']))
			 { 
			    for ($i=0; $i<=count($_POST['plugins'])-1; $i++)
				{   
				    $_plug->remove($_POST['plugins'][$i]);
				}
				
				os_redirect(FILENAME_PLUGINS);
			 }
	
		 }
	     
	break;
}
	
	
add_action('head_admin', 'head_plugins');

function head_plugins()
{
    global $main;
    $main->style('plugins');
}
$plugins = $_plug->info;

?>
<?php $main->head(); ?>
<?php $main->top_menu(); ?>
<form name="multi_action_form" action="<?php echo FILENAME_PLUGINS; ?>?action=multi_action" method="post">
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td class="boxCenter" width="100%" valign="top">
    <?php $main->heading('plugin.gif', HEADING_TITLE); ?>  
	<?php $main->fly_menu(PLUGINS_URL, MODULES_OTHER);?>
    <table border="0" width="100%" cellspacing="0" cellpadding="2" valign="top">
      <tr>
        <td  valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0"  valign="top">
          <tr>
            <td valign="top">
			<table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
			    <td class="dataTableHeadingContent" width="20px"><input type="checkbox" name="plug_all" onClick="javascript:SwitchCheck();" /></td>
			    <td class="dataTableHeadingContent" width="20px">&nbsp;</td>
				<td class="dataTableHeadingContent" width="300px"><?php echo TABLE_HEADING_PLUGINS; ?></td>
				<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_FILENAME; ?></td>
				<td class="dataTableHeadingContent" width="50px"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right" width="50"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>		  
<?php
    $plugins_file = $_plug->get_name (); // получение списка плагинов /
    $plugin_activ = ''; 

    for ($i = 0, $n = sizeof($plugins_file); $i < $n; $i++) 
    {
        $plugin_name = $plugins_file[$i][0];
		$_plug->icons($plugin_name); //получение иконки плагина

		require_once(_PLUG.$plugins_file[$i][1]);
		
		$plugin_data = get_plugin_data(_PLUG.$plugins_file[$i][1]);
      
	    $_plug->info[$plugin_name]['title'] = $plugin_data['Name'][1];
	    $_plug->info[$plugin_name]['desc'] = trim($plugin_data['Description'][1]);
		
		$color = $color == '#f9f9ff' ? '#f0f1ff':'#f9f9ff';
		
		if ((empty($_GET['module']) && $i==0) | ($_GET['module'] == $plugins_file[$i][0]))
		{
		      echo '<tr class="dataTableRowSelected">' . "\n";
              if (empty($_GET['module']))
              {
			      $_GET['module'] = $plugins_file[$i][0]; 
			  }			  
		}
		else
		{ 
		   //$plugin_data['Description'][1]
              echo '<tr onmouseover="this.style.background=\'#e9fff1\';" onmouseout="this.style.background=\''.$color.'\';"  style="background-color:'.$color;
		      echo ';" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'hand\'">' . "\n";
	    }  
?>
<td align="center" valign="center"><input type="checkbox" name="plugins[]" value="<?php echo $plugin_name; ?>" /></td>
<td <?php echo 'onclick="document.location.href=\'' . os_href_link(FILENAME_PLUGINS, 'module='.$plugin_name).'\'"'; ?> align="center" valign="center"><?php  echo '<img src="'. $_plug->info[$plugin_name]['icons'].'" border="0" />';?></td>
<td <?php echo 'onclick="document.location.href=\'' . os_href_link(FILENAME_PLUGINS, 'module='.$plugin_name).'\'"'; ?> class="dataTableContent"><?php  echo (!empty($plugin_data['Name'][1])) ? ($plugin_data['Name'][1]) : (ucfirst($plugins_file[$i][0])) ;?></td>
<td <?php echo 'onclick="document.location.href=\'' . os_href_link(FILENAME_PLUGINS, 'module='.$plugin_name).'\'"'; ?> class="dataTableContent"><?php echo $_plug->desc($plugin_name); ?></td>
<td <?php echo 'onclick="document.location.href=\'' . os_href_link(FILENAME_PLUGINS, 'module='.$plugin_name).'\'"'; ?> class="dataTableContent" align="center"><?php $_plug->status($plugin_name, $plugins);?></td>
<td width="80px" class="dataTableContent" align="right" valign="center"><?php $_plug->action($plugin_name); ?></td> 
</tr>
			 <?php
		


$os_action_tmp = '';
}

?>

<tr>
                <td colspan="13" valign="bottom">
                    <img src="images/arrow_ltr.png" border="0" width="38" height="22"/>
                    <a href="#" onclick="javascript:SwitchCheck();"><?php echo PLUGINS_SWITCH_ALL; ?></a>&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;&nbsp;
                    <select name="action" dir="ltr" onchange="this.form.submit();">
    
            <option value="<?php echo PLUGINS_SELECTED; ?>" selected="selected"><?php echo PLUGINS_SELECTED; ?></option>
            <option value="install" ><?php echo PLUGINS_INSTALL;?></option>
            <option value="remove" ><?php echo PLUGINS_REMOVE;?></option>
 
                    </select></form>
                </td>
            </tr>
<?php
//блоки из текущего шаблона
echo '</table><br /><div style="width:100%;text-align:right;font-size:12px;"><i>/modules/plugins/</i>&nbsp;&nbsp;</div>';

?>
	  

            </table>
			
			
		
			</td>
    <td width="25%" valign="top">
<table class="contentTable" border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="infoBoxHeading">
    <td  class="infoBoxHeading"><b>
	<?php 
		if (isset($_GET['module']))
		{
		  // (!empty($plugin_data['Name'][1])) ? ($plugin_data['Name'][1]) : (ucfirst($plugins_file[$i][0]))
		    if (!empty($_plug->info[$_GET['module']]['title']))
			{
			   echo $_plug->info[$_GET['module']]['title'];
			}
			else
			{
			     if (isset($_plug->info[$_GET['module']]))
				 {
				      echo ucfirst($_GET['module']);
				 }
				 else
				 {
				      echo '-:-:-';
				 }
			 
			}
		}
	?></b></td>
  </tr>
</table>
<table class="contentTable" border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td  class="infoBoxContent"><?php $_plug->option(); ?><td></tr>
	</table>
	</td>
  </tr>
</table>
            </td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>

</div>
<?php $main->bottom(); ?>