<?php
/*
#####################################
#  ShopOS: Shopping Cart Software.
#  Copyright (c) 2008-2010
#  http://www.shopos.ru
#  http://www.shoposs.com
#  Ver. 1.0.0
#####################################
*/

$os_action = array();
$os_action_tmp = array();
$os_rewrite_action = array();
$os_filter = array();

$os_action_plug = array();

function add_action($tag, $function_to_add, $priority = 10) 
{
	global $os_action;
	global $os_action_tmp;
	global $os_action_plug;

	global $plugin_name; // 
    global $_plug; //class plugins
		
	if (is_object($_plug))
	{
		 $_plug->info[ $plugin_name ][ $tag ][] = $function_to_add;
	}

	$os_action_plug [ $function_to_add ] = $plugin_name;
	
	$os_action[ $tag ][ $function_to_add ] = $priority;

	return true;
}

function add_filter($tag, $function)
{
    global $os_filter;
	
	$os_filter[ $tag ] = $function;
	
	return true;
}

function get_filters ($tag, $value)
{
   global $os_filter;
   
   if (isset($os_filter[ $tag ]))
   {
      if (function_exists( $os_filter[ $tag ] ))
	  {
	     $value = $os_filter[ $tag ]($value);
	  }
   }
   
   return $value;
}

function remove_action ($tag, $function_to_remove, $priority = 10)
{
	global $os_remove_action;
	$os_remove_action[$tag][$function_to_remove] = $priority; 
    return true;
}

function remove_action_array ()
{   
	global $os_remove_action;
	
	if (!empty($os_remove_action))
	{
        foreach ($os_remove_action as $tag => $functions_to_remove)
	    {
	         foreach ($functions_to_remove as $function_to_remove => $priority)
	         {
		          unset($os_remove_action[ $tag ][ $function_to_remove ]);  
	         }
	    }
    }
	else
    {  
	    // action.  
	   return false;
	}
	
    return true;
}

//  action  
function rewrite_action ($tag, $function, $function_to_add)
{   
    global $os_rewrite_action;
	
	$os_rewrite_action[ $tag ][ $function ] = $function_to_add;
	
	return true;
}

function plugurl()
{
   	global $_plug_name;
	
    return _HTTP_PLUG.dirname($_plug_name).'/';
}

function plugdir()
{
   	global $_plug_name;
	
    $dir = _PLUG.dirname($_plug_name).'/';
	$dir = str_replace('//', '/', $dir);
	$dir = str_replace('\\\\', '\\', $dir);
	
	return $dir;
}

function run_action ($tag, $separator = '')
{
    global $os_action;
	global $os_action_plug;
	global $_plug_name;
	
	if (!empty($tag) && isset($os_action[$tag]))
	{
	    foreach ($os_action[$tag] as $_tag => $priority)
        {
              if (function_exists($_tag))
	          {
			        $_plug_name = $os_action_plug[$_tag];
					
	                $_tag();
			        echo $separator;
              }
        }
	}
}

function output_action($tag, $separator = '')
{
    global $os_action;
	global $os_action_plug;
	global $_plug_name;
	
	ob_start();
	
	if (!empty($tag) && isset($os_action[$tag]))
	{
	    foreach ($os_action[$tag] as $_tag => $priority)
        {
              if (function_exists($_tag))
	          {
			        $_plug_name = $os_action_plug[$_tag];
					
	                $_tag();
			        echo $separator;
              }
        }
	}
	
	$m_content = ob_get_contents();
	ob_end_clean();
	
	return $m_content;
}

function is_action($tags)
{
    global $os_action;
  
    if (isset($os_action[$tags]))
    {
        return true;
    }
    else
    {
        return false;
    }
}

if (!function_exists('_e'))
{
   function _e ($text)
   {
	  echo $text."\n";
	  return true;
   }
}
?>